JavaScript
Webhook-Subscription
Update a webhook subscription
Updates the url or subcribed to events for a webhook subscription. This can be used via the app or via the API by providing an API key.
POST
JavaScript
Authorizations
API key for authentication
Headers
Idempotency key for safe retries. Reusing a key with an identical request body returns the cached response. Reusing a key with a different body returns 409.
Body
application/json
The unique identifier of the webhook subscription to update
The new endpoint where webhook events are sent
The new events to subscribe the url to
Available options:
test, merchant_updated, merchant_app_updated, order_created, order_updated, refund_succeeded, refund_failed, refund.initiated, refund.succeeded, refund.failed, payout_report_requested, data_session_completed, checkout_session_created, checkout_session_updated, checkout_session_expired, checkout_session_completed, payout_created, payout_updated, user_payout.initiated, user_payout.failed, user_payout.paid, payout.initiated, payout.failed, payout.paid, deposit.received, return.initiated, return.succeeded, return.failed, return.returned, fx.initiated, fx.succeeded, fx.failed Response
200 - application/json
Returns the updated webhook subscription.
Available options:
test, merchant_updated, merchant_app_updated, order_created, order_updated, refund_succeeded, refund_failed, refund.initiated, refund.succeeded, refund.failed, payout_report_requested, data_session_completed, checkout_session_created, checkout_session_updated, checkout_session_expired, checkout_session_completed, payout_created, payout_updated, user_payout.initiated, user_payout.failed, user_payout.paid, payout.initiated, payout.failed, payout.paid, deposit.received, return.initiated, return.succeeded, return.failed, return.returned, fx.initiated, fx.succeeded, fx.failed